local globalGuard = {}

function globalGuard.start()
	setmetatable(
		_G,
		{
			__newindex = function(key)
				assert(false, "Attempt to write global key " .. tostring(key))
			end
		}
	)
end

function globalGuard.stop()
	setmetatable(_G, {})
end

return globalGuard
